metadata:
  annotations:
    rotation.darkwolf.io/secret: "{{ secret_name }}"
spec:
  template:
    metadata:
      annotations:
        vault.hashicorp.com/agent-inject: "true"
        vault.hashicorp.com/role: "{{ service_account }}"
        vault.hashicorp.com/agent-inject-secret-{{ secret_name | regex_replace('\/','-') }}.txt: "{{ secret_path }}"
